2014-12-20 16:32 EST

View Issue Details Jump to Notes ] Wiki ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0016175mantisbttoolspublic2014-02-07 18:24
Reporterrombert 
Assigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version1.2.16 
Target Version1.2.16Fixed in Version1.2.16 
Summary0016175: Customize Travis notifications
DescriptionQuoting @dregad:

> Finally I think it would be great to report the build results (at least the
> failures) to:
> - dev mailing list
> - IRC
> - github repo page and/or mantisbt.org (e.g. downloads page)

OTHO, @grangeway argues that

> it's gonna get a bit silly when we start having multiple tools spamming stuff
TagsNo tags attached.
Attached Files

- Relationships
related to 0016126closedrombert mantisbt Setup integration testing on Travis CI 
+ Relationships

-  Notes
User avatar

~0037464

atrol (developer)

#mantisbt-help is not the right channel.
If IRC should be used use #mantisbt

http://www.mantisbt.org/irc.php [^]
User avatar

~0037470

dregad (developer)

Agree with atrol that we should use #mantisbt channel.

With regards to noise/spam, a build is triggered when commits are pushed to github, which does not occur that frequently. Furthermore, we can specify when notifications are sent [1] and limit that to 'change' state only.

As for 'multiple tools spamming stuff', it is true that travis notifications on irc are somewhat redundant with the the github hook. We can disable one or the other down the line if it becomes an annoyance.

[1] http://about.travis-ci.org/docs/user/notifications/#IRC-notification [^]
User avatar

~0037519

atrol (developer)

I would like to see these notifications

notifications:
  email:
    recipients:
      - mantisbt-cvs@lists.sourceforge.net

    on_success: change
    on_failure: change
User avatar

~0037523

dregad (developer)

+1.

Also note, as per the e-mail I sent to the mailing list earlier, that the build status is now reflected on http://mantisbt.org/builds.php [^] and http://mantisbt.org/download.php [^]
User avatar

~0038256

dregad (developer)

I added notifications for e-mail (mantisbt-cvs list) and irc

However there is currently a limitation with Travis, that if a recipient is specified for email, then it no longer sends to author and committer as it does by default, and there is unfortunately no way atm to specify it.
+  Notes

- Related Changesets
MantisBT: master 819e6077
Timestamp: 2013-07-14 14:45:38
Author: rombert
Details ] Diff ]
Fix 0016175: Send Travis build notifications to #mantisbt-help
mod - .travis.yml Diff ] File ]
MantisBT: master-1.2.x 644d6a61
Timestamp: 2013-07-14 14:45:38
Author: rombert
Details ] Diff ]
Fix 0016175: Send Travis build notifications to #mantisbt-help
mod - .travis.yml Diff ] File ]
MantisBT: master d1dc9aeb
Timestamp: 2013-07-14 14:52:11
Author: rombert
Details ] Diff ]
Revert "Fix 0016175: Send Travis build notifications to #mantisbt-help"

This reverts commit 644d6a619246f9314009af08c117008373c474d9 until we reach
consensus on a notification scheme.
mod - .travis.yml Diff ] File ]
MantisBT: master-1.2.x 01adb5e3
Timestamp: 2013-07-14 14:52:11
Author: rombert
Details ] Diff ]
Revert "Fix 0016175: Send Travis build notifications to #mantisbt-help"

This reverts commit 644d6a619246f9314009af08c117008373c474d9 until we reach
consensus on a notification scheme.
mod - .travis.yml Diff ] File ]
MantisBT: master 0e577f11
Timestamp: 2013-10-14 08:44:41
Author: dregad
Details ] Diff ]
Travis: add notifications for e-mail and irc

Destinations:
- mantisbt-cvs mailing list
- #mantisbt irc channel

Build failures are always sent, and build success only when status
changes to reduce spam.

Fixes 0016175
mod - .travis.yml Diff ] File ]
add - Soap.php Diff ] File ]
add - test.php Diff ] File ]
MantisBT: master-1.2.x 105f28bf
Timestamp: 2013-10-14 08:44:41
Author: dregad
Details ] Diff ]
Travis: add notifications for e-mail and irc

Destinations:
- mantisbt-cvs mailing list
- #mantisbt irc channel

Build failures are always sent, and build success only when status
changes to reduce spam.

Fixes 0016175
mod - .travis.yml Diff ] File ]
add - Soap.php Diff ] File ]
add - test.php Diff ] File ]

+ Related Changesets

- Issue History
Date Modified Username Field Change
2013-07-14 14:44 rombert New Issue
2013-07-14 14:44 rombert Status new => assigned
2013-07-14 14:44 rombert Assigned To => rombert
2013-07-14 14:46 rombert Changeset attached => MantisBT master 819e6077
2013-07-14 14:46 rombert Status assigned => resolved
2013-07-14 14:46 rombert Resolution open => fixed
2013-07-14 14:46 rombert Fixed in Version => 1.3.0-beta.1
2013-07-14 14:46 rombert Changeset attached => MantisBT master-1.2.x 644d6a61
2013-07-14 14:53 rombert Changeset attached => MantisBT master d1dc9aeb
2013-07-14 14:53 rombert Changeset attached => MantisBT master-1.2.x 01adb5e3
2013-07-14 14:55 rombert Status resolved => assigned
2013-07-14 14:55 rombert Resolution fixed => open
2013-07-14 14:55 rombert Fixed in Version 1.3.0-beta.1 =>
2013-07-14 14:55 rombert Summary Send Travis build notifications to #mantisbt-help => Customize Travis notifications
2013-07-14 14:55 rombert Description Updated View Revisions
2013-07-14 15:07 atrol Note Added: 0037464
2013-07-15 10:54 dregad Relationship added related to 0016126
2013-07-15 11:15 dregad Note Added: 0037470
2013-07-23 15:18 atrol Note Added: 0037519
2013-07-23 17:56 dregad Note Added: 0037523
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed
2013-10-14 11:05 dregad Changeset attached => MantisBT master 0e577f11
2013-10-14 11:05 dregad Assigned To rombert => dregad
2013-10-14 11:05 dregad Status assigned => resolved
2013-10-14 11:05 dregad Resolution open => fixed
2013-10-14 11:05 dregad Fixed in Version => 1.3.0-beta.1
2013-10-14 11:09 dregad Changeset attached => MantisBT master-1.2.x 105f28bf
2013-10-14 11:17 dregad Note Added: 0038256
2013-10-14 11:17 dregad Product Version => 1.2.16
2013-10-14 11:17 dregad Fixed in Version 1.3.0-beta.1 => 1.2.16
2013-10-14 11:17 dregad Target Version => 1.2.16
2013-10-14 11:17 dregad Description Updated View Revisions
2014-02-07 18:24 dregad Status resolved => closed
+ Issue History